# vim: set ts=4 sw=4 et:
# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        Oggz plugin for OGMRip
Name:           ogmrip-oggz
Version:        0.2
Release:        150400.3.pm.2
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-oggz-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogmrip)
Requires:       oggz-tools
Requires:       ogmrip

%description
ogmrip-oggz is a plugin for OGMRip which adds support for the OGG container.

%lang_package

%prep
%autosetup -p1

%build
rm -rfv m4
export CFLAGS='%{optflags} -Wno-deprecated-declarations'
autoreconf -fiv
%configure \
    --enable-static=no
%make_build

%install
%make_install \
    containersdir=%{_libdir}/ogmrip/container-plugins

%find_lang %{name}

find '%{buildroot}%{_libdir}' -name "*.la" -print -delete

%files
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/container-plugins
%{_libdir}/ogmrip/container-plugins/libogmrip-oggz.so
%dir %{_datadir}/ogmrip
%dir %{_datadir}/ogmrip/profiles
%{_datadir}/ogmrip/profiles/profile-oggz.xml

%files lang -f %{name}.lang

%changelog
* Tue Dec 29 2009 toni@links2linux.de
- update to 0.2
* Mon Oct 19 2009 toni@links2linux.de
- initial package for 0.1
